﻿using System.ComponentModel;
using Terraria.ModLoader.Config;

namespace tMx
{
    public class tMxConfigs : ModConfig
    {
        [Header("Tweaks")]

        [Label("No Potions Delay")]
        [Tooltip("No delay between healing/mana potions use. Debuff = Off")]
        [DefaultValue(false)]
        public bool NoPotionDelay;

        [Header("Mechanics")]

        [Label("Protect item(s) from pig.")]
        [Tooltip("The clean command will not delete researched item(s) present in your piggy bank.")]
        [DefaultValue(false)]
        public bool CleanResearchedPiggyProtect;

        public override ConfigScope Mode => (ConfigScope)0;
    }
}